
#ifndef __AUTOSORT_MENU_H
#define __AUTOSORT_MENU_H

#include <math.h>
#include <vdr/menu.h>

extern int maxMoves;
extern int messageLevel;
    // 0 - No Messages
    // 1 - LoopsReady
    // 2 - GroupReady
    // 3 - ChannelMove
extern int messageTime;
extern bool housekeepingRun;
extern bool versionSorting;
extern bool hideMenu;
extern int timeStampSetDelta;
    // 1 hour   = 3600
    // 1 day    = 86400
    // 1 week   = 604800
    // 1 month  = 2592000
extern bool writeTimeStamp;
extern int lastTimeStampSet;
extern bool writeNewTimeStamp;
extern bool saveSetup;
extern bool sortUnsorted;
extern bool sortNew;
extern bool seperateNew;
extern bool useFixedAuto;
extern bool useFixedUnsorted;
extern bool useFixedNew;
extern int fixedAuto;
extern int fixedUnsorted;
extern int fixedNew;


class cMenuAutoSortSetup : public cMenuSetupPage {
private:
  int newMaxMoves;
  int newMessageLevel;
  int newMessageTime;
  int newSortUnsorted;
  int newSortNew;
  int newSeperateNew;
  int newHideMenu;
  int newHousekeepingRun;
  int newVersionSorting;
  int newTimeStampSetDelta;
  int newWriteTimeStamp;
  int newUseFixedAuto;
  int newUseFixedUnsorted;
  int newUseFixedNew;
  int newFixedAuto;
  int newFixedUnsorted;
  int newFixedNew;
protected:
  virtual void Store(void);
public:
  cMenuAutoSortSetup(void);
  };


#endif
